Bug 150829 - segfault when playing a certain file
Summary: segfault when playing a certain file
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: festival   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-11 00:04 UTC by Walter Neumann
Modified: 2013-03-13 04:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 20:59:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file that festival barfs on (420 bytes, text/plain)
2005-03-11 00:07 UTC, Walter Neumann
no flags Details

Description Walter Neumann 2005-03-11 00:04:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
The command 

festival --tts t

segfaults on the attached file "t" 

(very minor changes to the file avoid the segfault). If MALLOC_CHECK_
is unset, one gets the following error instead of a segfault:

*** glibc detected *** malloc(): memory corruption: 0x0a6783a0 ***
Abort


Version-Release number of selected component (if applicable):
festival-1.95-1

How reproducible:
Always

Steps to Reproduce:
1. run "festival --tts t"
2.
3.
    

Actual Results:  segfault or abort on error depending on whether
MALLOC_CHECK_ is set.

Additional info:

"cat t | festival --tts" behaves as expected (no error), 

Removing a character up to and including the closing brace in the file
t seems to

Comment 1 Walter Neumann 2005-03-11 00:07:03 UTC
Created attachment 111878 [details]
file that festival barfs on

Comment 2 John (J5) Palmieri 2005-03-29 20:59:27 UTC
Seems to work for me.  I don't see a crash with the file you provided.


Note You need to log in before you can comment on or make changes to this bug.